@import url('https://fonts.googleapis.com/css2?family=IM+Fell+Great+Primer+SC&family=Metal+Mania&display=swap');

@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
    html {
        -moz-osx-font-smoothing: grayscale;
        -webkit-font-smoothing: antialiased;
    }
}

@layer components {
    .badge {
        z-index: 0;
        position: relative;
        margin: 1.5em 3em;
        width: 4em;
        height: 6.2em;
        border-radius: 10px;
        display: inline-block;
        top: 0;
        transition: all 0.2s ease;
        &:before,
        &:after {
            position: absolute;
            width: inherit;
            height: inherit;
            border-radius: inherit;
            background: inherit;
            content: '';
        }
        &:before {
            transform: rotate(60deg);
        }
        &:after {
            transform: rotate(-60deg);
        }
        &:hover {
            top: -4px;
        }
    }
    .circle {
        font-size: 3em;
        margin-top: 1rem;
        width: 64px;
        height: 64px;
        position: absolute;
        background: #fff;
        z-index: 10;
        border-radius: 50%;
        transform: translate('-50%');
    }
    .font {
        display: inline-block;
        margin-top: 1em;
    }
    .ribbon {
        position: absolute;
        border-radius: 4px;
        padding: 2px 4px 2px;
        text-align: center;
        width: 180%;
        color: #fff;
        top: 45px;
        min-height: 15px;
        font-size: 10px;
        box-shadow: 0 1px 2px rgba(0, 0, 0, 0.27);
        text-shadow: 0 2px 2px rgba(0, 0, 0, 0.1);
        text-transform: uppercase;
        background: linear-gradient(to bottom right, #555 0%, #333 100%);
        cursor: default;
    }

    .yellow {
        background: linear-gradient(to bottom right, #ffeb3b 0%, #fbc02d 100%);
        color: #ffb300;
    }

    .orange {
        background: linear-gradient(to bottom right, #ffc107 0%, #f57c00 100%);
        color: #f68401;
    }

    .pink {
        background: linear-gradient(to bottom right, #f48fb1 0%, #d81b60 100%);
        color: #dc306f;
    }

    .red {
        background: linear-gradient(to bottom right, #f4511e 0%, #b71c1c 100%);
        color: #c62828;
    }

    .purple {
        background: linear-gradient(to bottom right, #ab47bc 0%, #4527a0 100%);
        color: #7127a8;
    }

    .teal {
        background: linear-gradient(to bottom right, #4db6ac 0%, #00796b 100%);
        color: #34a297;
    }

    .blue {
        background: linear-gradient(to bottom right, #4fc3f7 0%, #2196f3 100%);
        color: #259af3;
    }

    .blue-dark {
        background: linear-gradient(to bottom right, #1976d2 0%, #283593 100%);
        color: #1c68c5;
    }

    .green {
        background: linear-gradient(to bottom right, #cddc39 0%, #8bc34a 100%);
        color: #7cb342;
    }

    .green-dark {
        background: linear-gradient(to bottom right, #4caf50 0%, #1b5e20 100%);
        color: #00944a;
    }

    .silver {
        background: linear-gradient(to bottom right, #e0e0e0 0%, #bdbdbd 100%);
        color: #9e9e9e;
    }

    .gold {
        background: linear-gradient(to bottom right, #e6ce6a 0%, #b7892b 100%);
        color: #b7892b;
    }

    .darkGrey {
        background: linear-gradient(to bottom right, #555 0%, #333 100%);
    }

    .mirror {
        transform: scaleX(-1);
    }
}
